/*------------------------------------------------------------------------
    File        : ProDataSetFillInReplaceModeTest.p
    Purpose     : Test case to use the FILL-MODE "REPLACE" for a Buffer 
                  with a combined query.

    Syntax      :

    Description : When executing the FILL () statement the ERROR-STATUS:ERROR
                  gets set to TRUE und the ERROR-STATUS:GET-MESSAGE (1) returns
                  "** ttOrder record not on file. (138)"

    Author(s)   : Marko Rterbories / Consultingwerk Ltd.
    Created     : Wed Aug 25 09:36:58 CEST 2010
    Notes       :
  ----------------------------------------------------------------------*/

ROUTINE-LEVEL ON ERROR UNDO, THROW.

/* ***************************  Definitions  ************************** */

DEFINE TEMP-TABLE ttOrder NO-UNDO LIKE Order
    FIELD Name LIKE Customer.Name
    .

DEFINE DATASET dsOrderCustomer FOR ttOrder
    .

DEFINE QUERY qOrderCustomer FOR Order, Customer.

DEFINE DATA-SOURCE dOrderCustomer FOR QUERY qOrderCustomer.

/* ***************************  Main Block  *************************** */

TEMP-TABLE ttOrder:TRACKING-CHANGES = FALSE.

BUFFER ttOrder:ATTACH-DATA-SOURCE (DATA-SOURCE dOrderCustomer:HANDLE).
        
BUFFER ttOrder:FILL-MODE = "REPLACE".

QUERY qOrderCustomer:QUERY-PREPARE ("FOR EACH Order, FIRST Customer OF Order") . 


DATASET dsOrderCustomer:FILL ().

MESSAGE ERROR-STATUS:ERROR SKIP 
    ERROR-STATUS:GET-MESSAGE (1)
    VIEW-AS ALERT-BOX.
    
FOR EACH ttOrder NO-LOCK:
    DISPLAY ttOrder.
END.
